<ion-header>
  <ion-toolbar class="ion-text-center">
    <ion-title *ngIf="currentAdmin">{{currentAdmin.name}} {{currentAdmin.surname}}</ion-title>
  </ion-toolbar>
 
</ion-header>

<ion-content>

  <ion-list *ngIf="isSuperAdmin">
    <ion-item>
      <ion-label>Please Select Admin</ion-label>
      <ion-select [(ngModel)]="adminNick" (ionChange)="getMyads(adminNick)">
        <div *ngFor="let admin of allAdmins | async">
          <ion-select-option value={{admin.nickname}}>{{admin.name}}</ion-select-option>
        </div>
      </ion-select>
    </ion-item>

    <ion-list *ngIf="transport" >
      <ion-list-header class="list-header">
        Транспорт
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of transport | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger" (click)="presentAlertConfirmation(item.id, 'transport')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 

    <ion-list *ngIf="work" >
      <ion-list-header class="list-header">
        Работа
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of work | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger"  (click)="presentAlertConfirmation(item.id, 'work')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 

    <ion-list *ngIf="electronics" >
      <ion-list-header class="list-header">
        Электроника
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of electronics | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger"  (click)="presentAlertConfirmation(item.id, 'electronics')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 

    <ion-list *ngIf="uslugi" >
      <ion-list-header class="list-header">
        Услуги
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of uslugi | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger"  (click)="presentAlertConfirmation(item.id, 'uslugi')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 

    <ion-list *ngIf="estate" >
      <ion-list-header class="list-header">
        Недвижимость
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of estate | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger"  (click)="presentAlertConfirmation(item.id, 'estate')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 

    <ion-list *ngIf="restuarant" >
      <ion-list-header class="list-header">
        Кафе и Чайхана
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of restuarant | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger"  (click)="presentAlertConfirmation(item.id, 'restuarant')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 

    <ion-list *ngIf="animal" >
      <ion-list-header class="list-header">
        Животные
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of animal | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger"  (click)="presentAlertConfirmation(item.id, 'animal')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 

    <ion-list *ngIf="general" >
      <ion-list-header class="list-header">
        Общие
      </ion-list-header>
      <!-- There will loop start -->
      <ion-list *ngFor="let item of general | async">
        <ion-list-header style="font-size: large;">
          {{item.createdAt| date: "dd/MM/yyyy"}}
        </ion-list-header>
        <ion-item>
          <ion-label>
            <h2>{{item.title}}</h2>
            <h3>{{item.ownerData}}</h3>
            <h3>{{item.contactNumber}}</h3>
            <div class="ion-text-end">
              <!-- <ion-button color="light">
                <ion-icon slot="icon-only" name="build-outline"></ion-icon>
              </ion-button> -->
              <ion-button color="danger"  (click)="presentAlertConfirmation(item.id, 'general')">
                <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
              </ion-button>
            </div>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-list> 
    
  </ion-list> 

  <ion-fab horizontal="end" vertical="bottom" slot="fixed">
    <ion-fab-button color="#FFFF1A">
      <ion-icon name="chevron-up-outline"></ion-icon>
    </ion-fab-button>
    <ion-fab-list side="top">
      <ion-fab-button [routerLink]="['/chooseCategory/', adminNick]" >
        <ion-icon name="add">
        </ion-icon>
      </ion-fab-button>
      <ion-fab-button *ngIf="adminNick ==='hiko9991' || adminNick === 'ilhom8991'"  [routerLink]="['/admin-register/', adminNick]" >
        <ion-icon name="person-add-outline">
        </ion-icon>
      </ion-fab-button>
      <ion-fab-button (click)="logOut()">
        <ion-icon name="log-out-outline"></ion-icon>
      </ion-fab-button>
    </ion-fab-list>
  </ion-fab>

</ion-content>